List Managed Transforms
GET/zones/{zone_id}/managed_headers
Fetches a list of all Managed Transforms.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
List Managed Transforms
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/managed_headers \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"message": "something bad happened",
"code": 10000,
"source": {
"pointer": "/rules/0/action"
}
}
],
"messages": [
{
"message": "something bad happened",
"code": 10000,
"source": {
"pointer": "/rules/0/action"
}
}
],
"result": {
"managed_request_headers": [
{
"id": "add_bot_protection_headers",
"enabled": true,
"has_conflict": false,
"conflicts_with": [
"add_true_client_ip_headers"
]
}
],
"managed_response_headers": [
{
"id": "add_security_headers",
"enabled": true,
"has_conflict": false,
"conflicts_with": [
"add_true_client_ip_headers"
]
}
]
},
"success": true
}Returns Examples
{
"errors": [
{
"message": "something bad happened",
"code": 10000,
"source": {
"pointer": "/rules/0/action"
}
}
],
"messages": [
{
"message": "something bad happened",
"code": 10000,
"source": {
"pointer": "/rules/0/action"
}
}
],
"result": {
"managed_request_headers": [
{
"id": "add_bot_protection_headers",
"enabled": true,
"has_conflict": false,
"conflicts_with": [
"add_true_client_ip_headers"
]
}
],
"managed_response_headers": [
{
"id": "add_security_headers",
"enabled": true,
"has_conflict": false,
"conflicts_with": [
"add_true_client_ip_headers"
]
}
]
},
"success": true
}